<?php
require ("Conexion/Conexion.php");
require('lib/lib.php');
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
	require ("lib/class.phpmailer.php");
	require ("lib/class.smtp.php");
	
	if($_POST['Comentario'] != '') {
		if($_POST['Opcion'] != ''){
			if(preg_match("/^[[:digit:]]+$/", $_POST['Opcion'])){
				$Opcion = $_POST['Opcion'];
				$Comentario = $_POST['Comentario'];
	
				if($Opcion == 1){
					$Correo = $_SESSION['email'];
					$Bandera = 1;
				}elseif($Opcion == 2){
					if($_POST['Correo'] != ''){
						$Correo = $_POST['Correo'];
						$Bandera = 1;
					}else
						$Bandera = "<p class='error'>Escriba el Email!</p>";
				}else
					$Bandera = "<p class='error'>La seleccione para la respuesta del Email es inválida!</p>";
	
				if($Bandera == 1){
					if(strlen($Correo) >= 6 && strlen($Correo) <= 50){
						if(check_email_address($Correo)) {
							$ToMail = $_SESSION['CorreoServicio'];
							$mensaje = "
							El Cliente: ".$_SESSION['Nombre']." con No. Cliente: ".$_SESSION['ClienteID'].",<br></br><br></br>
							realizo una sugerencia y/o aclaracion  a traves del Correo Electronico: ".$Correo." <br></br><br></br>
							El comentario que realizo dice:<br></br><br></br>
							".$Comentario."";
							$FromName = 'Control de Flotillas Web.';
							$asunto = "Aclaraciones y Comentarios.";
							$FromMail = $_SESSION['CorreoServicio'];
							$Pass = $_SESSION['PasswordServicio'];
							$SentCorreo = Correo($FromMail, $Pass, $ToMail, $FromName, $asunto, $mensaje);
							if($SentCorreo == False)
								echo "<p class='error'>No se pudo enviar el Comentario, Rectifique los datos!</p>";			
							else
								echo 'envioCorreo';	
						}else
							echo "<p class='error'>Escriba un Correo Electrónico válido!</p>";
					}else
						echo "<p class='error'>El Correo Electrónico esta fuera del rango permitido de caracteres!</p>";
				}else
					echo $Bandera;
			} else
				echo "<p class='error'>Seleccione la Opcion del Correo Electrónico en donde se le respondera al mensaje!</p>";
		} else
			echo "<p class='error'>Seleccione o Escriba el Correo Electrónico en donde se le respondera al mensaje!</p>";
	} else 
		echo "<p class='error'>Escriba Mín. 10 caracteres para enviar comentario!</p>";
}
?>